#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[BB] Sket Dance 55 [720p] [C0F84DB1].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [BB] Sket Dance 55 [720p] [C0F84DB1].mkv"
		exit -1
	fi

if [[ ! -f "Parche Sket Dance 55 (C0F84DB1-3E82EBF9).xdelta" ]]; then
		echo "No se encuentra el parche: Parche Sket Dance 55 (C0F84DB1-3E82EBF9).xdelta"
		exit -1
	fi

	echo "Archivo de origen: [BB] Sket Dance 55 [720p] [C0F84DB1].mkv"
	echo "Archivo de destino: [BB] Sket Dance 55 [720p] [3E82EBF9].mkv"
	echo "Aplicando parche..."
	xdelta3 -d -s "[BB] Sket Dance 55 [720p] [C0F84DB1].mkv" "Parche Sket Dance 55 (C0F84DB1-3E82EBF9).xdelta" "[BB] Sket Dance 55 [720p] [3E82EBF9].mkv"
	echo "Parche aplicado."
fi

exit 0
